Index: configh.in
===================================================================
--- configh.in	(revision 11211)
+++ configh.in	(working copy)
@@ -336,5 +336,18 @@
 #define HAVE_DLSYM 0
 
 /*
+ * Check that this configuration header is being used correctly.
+ */
+
+#if defined(FLTK_CONFIG_H)
+#  error "config.h must be #included only once"
+#elif defined(__GLIBC__) || defined(__GLIBCXX__)
+#  error "config.h was #included after a system header file"
+#elif defined(Fl_H)
+#  error "config.h was #included after Fl.H"
+#endif
+#define FLTK_CONFIG_H 1
+
+/*
  * End of "$Id$".
  */
Index: fluid/CodeEditor.cxx
===================================================================
--- fluid/CodeEditor.cxx	(revision 11211)
+++ fluid/CodeEditor.cxx	(working copy)
@@ -20,6 +20,7 @@
 // Include necessary headers...
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
Index: fluid/Fl_Function_Type.cxx
===================================================================
--- fluid/Fl_Function_Type.cxx	(revision 11211)
+++ fluid/Fl_Function_Type.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Preferences.H>
 #include <FL/Fl_File_Chooser.H>
Index: fluid/Fl_Group_Type.cxx
===================================================================
--- fluid/Fl_Group_Type.cxx	(revision 11211)
+++ fluid/Fl_Group_Type.cxx	(working copy)
@@ -20,6 +20,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Group.H>
 #include <FL/Fl_Table.H>
Index: fluid/Fl_Menu_Type.cxx
===================================================================
--- fluid/Fl_Menu_Type.cxx	(revision 11211)
+++ fluid/Fl_Menu_Type.cxx	(working copy)
@@ -22,6 +22,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include "Fl_Widget_Type.h"
 #include "alignment_panel.h"
Index: fluid/Fl_Type.cxx
===================================================================
--- fluid/Fl_Type.cxx	(revision 11211)
+++ fluid/Fl_Type.cxx	(working copy)
@@ -28,6 +28,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Browser_.H>
 #include <FL/fl_draw.H>
Index: fluid/Fl_Widget_Type.cxx
===================================================================
--- fluid/Fl_Widget_Type.cxx	(revision 11211)
+++ fluid/Fl_Widget_Type.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Group.H>
 #include <FL/Fl_Table.H>
Index: fluid/Fl_Window_Type.cxx
===================================================================
--- fluid/Fl_Window_Type.cxx	(revision 11211)
+++ fluid/Fl_Window_Type.cxx	(working copy)
@@ -20,6 +20,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Overlay_Window.H>
 #include <FL/fl_message.H>
Index: fluid/Fluid_Image.cxx
===================================================================
--- fluid/Fluid_Image.cxx	(revision 11211)
+++ fluid/Fluid_Image.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include "Fl_Type.h"
Index: fluid/about_panel.cxx
===================================================================
--- fluid/about_panel.cxx	(revision 11211)
+++ fluid/about_panel.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "about_panel.h"
 void show_help(const char *name); 
 
Index: fluid/align_widget.cxx
===================================================================
--- fluid/align_widget.cxx	(revision 11211)
+++ fluid/align_widget.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
 #include "Fl_Widget_Type.h"
Index: fluid/alignment_panel.cxx
===================================================================
--- fluid/alignment_panel.cxx	(revision 11211)
+++ fluid/alignment_panel.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "alignment_panel.h"
 #include <FL/Fl_Preferences.H>
 #include <FL/fl_ask.H>
Index: fluid/code.cxx
===================================================================
--- fluid/code.cxx	(revision 11211)
+++ fluid/code.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include "../src/flstring.h"
Index: fluid/factory.cxx
===================================================================
--- fluid/factory.cxx	(revision 11211)
+++ fluid/factory.cxx	(working copy)
@@ -24,6 +24,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Group.H>
 #include <FL/Fl_Menu_Item.H>
Index: fluid/file.cxx
===================================================================
--- fluid/file.cxx	(revision 11211)
+++ fluid/file.cxx	(working copy)
@@ -21,6 +21,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include "../src/flstring.h"
Index: fluid/fluid.cxx
===================================================================
--- fluid/fluid.cxx	(revision 11211)
+++ fluid/fluid.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Box.H>
Index: fluid/function_panel.cxx
===================================================================
--- fluid/function_panel.cxx	(revision 11211)
+++ fluid/function_panel.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "function_panel.h"
 #include <FL/Fl_Pixmap.H>
 #include "Fl_Type.h"
Index: fluid/print_panel.cxx
===================================================================
--- fluid/print_panel.cxx	(revision 11211)
+++ fluid/print_panel.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "print_panel.h"
 #include <stdio.h>
 #include <stdlib.h>
Index: fluid/template_panel.cxx
===================================================================
--- fluid/template_panel.cxx	(revision 11211)
+++ fluid/template_panel.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "template_panel.h"
 #include <stdio.h>
 #include <stdlib.h>
Index: fluid/undo.cxx
===================================================================
--- fluid/undo.cxx	(revision 11211)
+++ fluid/undo.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include "Fl_Type.h"
 #include "undo.h"
Index: fluid/widget_panel.cxx
===================================================================
--- fluid/widget_panel.cxx	(revision 11211)
+++ fluid/widget_panel.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "widget_panel.h"
 extern void comment_cb(Fl_Text_Editor*, void*);
 
Index: src/Fl_Adjuster.cxx
===================================================================
--- src/Fl_Adjuster.cxx	(revision 11211)
+++ src/Fl_Adjuster.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Adjuster.H>
 #include <FL/Fl_Bitmap.H>
Index: src/Fl_BMP_Image.cxx
===================================================================
--- src/Fl_BMP_Image.cxx	(revision 11211)
+++ src/Fl_BMP_Image.cxx	(working copy)
@@ -25,10 +25,10 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl_BMP_Image.H>
 #include <FL/fl_utf8.h>
 #include <FL/Fl.H>
-#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 
Index: src/Fl_Bitmap.cxx
===================================================================
--- src/Fl_Bitmap.cxx	(revision 11211)
+++ src/Fl_Bitmap.cxx	(working copy)
@@ -22,6 +22,7 @@
 /** \fn Fl_Bitmap::Fl_Bitmap(const unsigned char *array, int W, int H)
   The constructors create a new bitmap from the specified bitmap data.*/
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Box.cxx
===================================================================
--- src/Fl_Box.cxx	(revision 11211)
+++ src/Fl_Box.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl_Widget.H>
 #include <FL/Fl_Box.H>
 
Index: src/Fl_Browser.cxx
===================================================================
--- src/Fl_Browser.cxx	(revision 11211)
+++ src/Fl_Browser.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Browser.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Browser_.cxx
===================================================================
--- src/Fl_Browser_.cxx	(revision 11211)
+++ src/Fl_Browser_.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 #define DISPLAY_SEARCH_BOTH_WAYS_AT_ONCE
 
+#include <config.h>
 #include <stdio.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
Index: src/Fl_Browser_load.cxx
===================================================================
--- src/Fl_Browser_load.cxx	(revision 11211)
+++ src/Fl_Browser_load.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Browser.H>
 #include <stdio.h>
Index: src/Fl_Button.cxx
===================================================================
--- src/Fl_Button.cxx	(revision 11211)
+++ src/Fl_Button.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Button.H>
 #include <FL/Fl_Group.H>
Index: src/Fl_Chart.cxx
===================================================================
--- src/Fl_Chart.cxx	(revision 11211)
+++ src/Fl_Chart.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/math.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Chart.H>
Index: src/Fl_Check_Browser.cxx
===================================================================
--- src/Fl_Check_Browser.cxx	(revision 11211)
+++ src/Fl_Check_Browser.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include "flstring.h"
Index: src/Fl_Check_Button.cxx
===================================================================
--- src/Fl_Check_Button.cxx	(revision 11211)
+++ src/Fl_Check_Button.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Check_Button.H>
 
Index: src/Fl_Choice.cxx
===================================================================
--- src/Fl_Choice.cxx	(revision 11211)
+++ src/Fl_Choice.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Choice.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Clock.cxx
===================================================================
--- src/Fl_Clock.cxx	(revision 11211)
+++ src/Fl_Clock.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Clock.H>
 #include <FL/Fl_Round_Clock.H>
Index: src/Fl_Color_Chooser.cxx
===================================================================
--- src/Fl_Color_Chooser.cxx	(revision 11211)
+++ src/Fl_Color_Chooser.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Color_Chooser.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Copy_Surface.cxx
===================================================================
--- src/Fl_Copy_Surface.cxx	(revision 11211)
+++ src/Fl_Copy_Surface.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl_Copy_Surface.H>
 #include <FL/Fl.H>
 
Index: src/Fl_Counter.cxx
===================================================================
--- src/Fl_Counter.cxx	(revision 11211)
+++ src/Fl_Counter.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Counter.H>
 #include <FL/Fl_Simple_Counter.H>
Index: src/Fl_Device.cxx
===================================================================
--- src/Fl_Device.cxx	(revision 11211)
+++ src/Fl_Device.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Device.H>
 #include <FL/Fl_Image.H>
Index: src/Fl_Dial.cxx
===================================================================
--- src/Fl_Dial.cxx	(revision 11211)
+++ src/Fl_Dial.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Dial.H>
 #include <FL/Fl_Fill_Dial.H>
Index: src/Fl_File_Browser.cxx
===================================================================
--- src/Fl_File_Browser.cxx	(revision 11211)
+++ src/Fl_File_Browser.cxx	(working copy)
@@ -30,6 +30,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl_File_Browser.H>
 #include <FL/fl_draw.H>
 #include <FL/filename.H>
Index: src/Fl_File_Chooser.cxx
===================================================================
--- src/Fl_File_Chooser.cxx	(revision 11211)
+++ src/Fl_File_Chooser.cxx	(working copy)
@@ -25,6 +25,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "../FL/Fl_File_Chooser.H"
 #include <FL/fl_draw.H>
 
Index: src/Fl_File_Chooser2.cxx
===================================================================
--- src/Fl_File_Chooser2.cxx	(revision 11211)
+++ src/Fl_File_Chooser2.cxx	(working copy)
@@ -343,6 +343,7 @@
 // Include necessary headers.
 //
 
+#include <config.h>
 #include <FL/Fl_File_Chooser.H>
 #include <FL/filename.H>
 #include <FL/fl_ask.H>
Index: src/Fl_File_Icon.cxx
===================================================================
--- src/Fl_File_Icon.cxx	(revision 11211)
+++ src/Fl_File_Icon.cxx	(working copy)
@@ -32,6 +32,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/fl_utf8.h>
Index: src/Fl_File_Icon2.cxx
===================================================================
--- src/Fl_File_Icon2.cxx	(revision 11211)
+++ src/Fl_File_Icon2.cxx	(working copy)
@@ -33,6 +33,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/fl_utf8.h>
Index: src/Fl_File_Input.cxx
===================================================================
--- src/Fl_File_Input.cxx	(revision 11211)
+++ src/Fl_File_Input.cxx	(working copy)
@@ -17,6 +17,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_File_Input.H>
 #include <FL/Fl_Window.H>
Index: src/Fl_Font.H
===================================================================
--- src/Fl_Font.H	(revision 11211)
+++ src/Fl_Font.H	(working copy)
@@ -24,8 +24,6 @@
 #ifndef FL_FONT_
 #define FL_FONT_
 
-#include <config.h>
-
 #  if USE_XFT
 typedef struct _XftFont XftFont;
 #  elif !defined(WIN32) && !defined(__APPLE__)
Index: src/Fl_GIF_Image.cxx
===================================================================
--- src/Fl_GIF_Image.cxx	(revision 11211)
+++ src/Fl_GIF_Image.cxx	(working copy)
@@ -23,6 +23,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_GIF_Image.H>
 #include <stdio.h>
Index: src/Fl_Gl_Window.cxx
===================================================================
--- src/Fl_Gl_Window.cxx	(revision 11211)
+++ src/Fl_Gl_Window.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include "flstring.h"
 #if HAVE_GL
 
Index: src/Fl_Group.cxx
===================================================================
--- src/Fl_Group.cxx	(revision 11211)
+++ src/Fl_Group.cxx	(working copy)
@@ -21,6 +21,7 @@
 // Fl_Window itself is a subclass of this, and most of the event
 // handling is designed so windows themselves work correctly.
 
+#include <config.h>
 #include <stdio.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Group.H>
Index: src/Fl_Help_Dialog.cxx
===================================================================
--- src/Fl_Help_Dialog.cxx	(revision 11211)
+++ src/Fl_Help_Dialog.cxx	(working copy)
@@ -25,6 +25,7 @@
 
 // generated by Fast Light User Interface Designer (fluid) version 1.0304
 
+#include <config.h>
 #include "../FL/Fl_Help_Dialog.H"
 #include "flstring.h"
 #include <FL/fl_ask.H>
Index: src/Fl_Help_View.cxx
===================================================================
--- src/Fl_Help_View.cxx	(revision 11211)
+++ src/Fl_Help_View.cxx	(working copy)
@@ -46,6 +46,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl_Help_View.H>
 #include <FL/Fl_Window.H>
 #include <FL/Fl_Pixmap.H>
Index: src/Fl_Image.cxx
===================================================================
--- src/Fl_Image.cxx	(revision 11211)
+++ src/Fl_Image.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include <FL/x.H>
Index: src/Fl_Image_Surface.cxx
===================================================================
--- src/Fl_Image_Surface.cxx	(revision 11211)
+++ src/Fl_Image_Surface.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl_Image_Surface.H>
 #include <FL/Fl_Printer.H>
 #include <FL/Fl.H>
Index: src/Fl_Input.cxx
===================================================================
--- src/Fl_Input.cxx	(revision 11211)
+++ src/Fl_Input.cxx	(working copy)
@@ -22,6 +22,7 @@
 // In theory you can replace this code with another subclass to change
 // the keybindings.
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/Fl.H>
Index: src/Fl_Input_.cxx
===================================================================
--- src/Fl_Input_.cxx	(revision 11211)
+++ src/Fl_Input_.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Input_.H>
 #include <FL/Fl_Window.H>
Index: src/Fl_JPEG_Image.cxx
===================================================================
--- src/Fl_JPEG_Image.cxx	(revision 11211)
+++ src/Fl_JPEG_Image.cxx	(working copy)
@@ -25,11 +25,11 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl_JPEG_Image.H>
 #include <FL/Fl_Shared_Image.H>
 #include <FL/fl_utf8.h>
 #include <FL/Fl.H>
-#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <setjmp.h>
Index: src/Fl_Light_Button.cxx
===================================================================
--- src/Fl_Light_Button.cxx	(revision 11211)
+++ src/Fl_Light_Button.cxx	(working copy)
@@ -23,6 +23,7 @@
 // The default down_box of zero draws a rectangle designed to look
 // just like Flame's buttons.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Light_Button.H>
 #include <FL/Fl_Radio_Light_Button.H>
Index: src/Fl_Menu.cxx
===================================================================
--- src/Fl_Menu.cxx	(revision 11211)
+++ src/Fl_Menu.cxx	(working copy)
@@ -22,6 +22,7 @@
 // methods for bringing up popup menu hierarchies without using the
 // Fl_Menu_ widget.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Menu_Window.H>
 #include <FL/Fl_Menu_.H>
Index: src/Fl_Menu_.cxx
===================================================================
--- src/Fl_Menu_.cxx	(revision 11211)
+++ src/Fl_Menu_.cxx	(working copy)
@@ -23,6 +23,7 @@
 
 // More code in Fl_Menu_add.cxx
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Menu_.H>
 #include "flstring.h"
Index: src/Fl_Menu_Bar.cxx
===================================================================
--- src/Fl_Menu_Bar.cxx	(revision 11211)
+++ src/Fl_Menu_Bar.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Menu_Bar.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Menu_Button.cxx
===================================================================
--- src/Fl_Menu_Button.cxx	(revision 11211)
+++ src/Fl_Menu_Button.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Menu_Button.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Menu_add.cxx
===================================================================
--- src/Fl_Menu_add.cxx	(revision 11211)
+++ src/Fl_Menu_add.cxx	(working copy)
@@ -26,6 +26,7 @@
 // Not at all guaranteed to be Forms compatible, especially with any
 // string with a % sign in it!
 
+#include <config.h>
 #include <FL/Fl_Menu_.H>
 #include "flstring.h"
 #include <stdio.h>
Index: src/Fl_Menu_global.cxx
===================================================================
--- src/Fl_Menu_global.cxx	(revision 11211)
+++ src/Fl_Menu_global.cxx	(working copy)
@@ -20,6 +20,7 @@
 // Currently only one menu at a time and you cannot destruct the menu,
 // is this sufficient?
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Menu_.H>
 
Index: src/Fl_Multi_Label.cxx
===================================================================
--- src/Fl_Multi_Label.cxx	(revision 11211)
+++ src/Fl_Multi_Label.cxx	(working copy)
@@ -19,6 +19,7 @@
 // Allows two labels to be used on a widget (by having one of them
 // be one of these it allows an infinte number!)
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include <FL/Fl_Menu_Item.H>
Index: src/Fl_Native_File_Chooser.cxx
===================================================================
--- src/Fl_Native_File_Chooser.cxx	(revision 11211)
+++ src/Fl_Native_File_Chooser.cxx	(working copy)
@@ -16,6 +16,8 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
+
 // Use Windows' chooser
 #ifdef WIN32
 #include "Fl_Native_File_Chooser_WIN32.cxx"
Index: src/Fl_Native_File_Chooser_FLTK.cxx
===================================================================
--- src/Fl_Native_File_Chooser_FLTK.cxx	(revision 11211)
+++ src/Fl_Native_File_Chooser_FLTK.cxx	(working copy)
@@ -16,7 +16,10 @@
 //     http://www.fltk.org/str.php
 //
 
-#include <config.h>
+#ifndef FLTK_CONFIG_H
+#  error "config.h has not been #included"
+#endif
+
 #include <FL/Fl_Native_File_Chooser.H>
 #include <FL/Fl_File_Icon.H>
 #define FLTK_CHOOSER_SINGLE    Fl_File_Chooser::SINGLE
Index: src/Fl_Native_File_Chooser_GTK.cxx
===================================================================
--- src/Fl_Native_File_Chooser_GTK.cxx	(revision 11211)
+++ src/Fl_Native_File_Chooser_GTK.cxx	(working copy)
@@ -16,6 +16,10 @@
 //     http://www.fltk.org/str.php
 //
 
+#ifndef FLTK_CONFIG_H
+#  error "config.h has not been #included"
+#endif
+
 #include <FL/x.H>
 #if HAVE_DLSYM && HAVE_DLFCN_H
 #include <dlfcn.h>   // for dlopen et al
Index: src/Fl_Native_File_Chooser_MAC.mm
===================================================================
--- src/Fl_Native_File_Chooser_MAC.mm	(revision 11211)
+++ src/Fl_Native_File_Chooser_MAC.mm	(working copy)
@@ -21,6 +21,10 @@
 //        Possibly 'preset_file' could be used to select the filename.
 //
 
+#ifndef FLTK_CONFIG_H
+#  error "config.h has not been #included"
+#endif
+
 #ifdef __APPLE__
 
 #include "Fl_Native_File_Chooser_common.cxx"		// strnew/strfree/strapp/chrcat
Index: src/Fl_Native_File_Chooser_WIN32.cxx
===================================================================
--- src/Fl_Native_File_Chooser_WIN32.cxx	(revision 11211)
+++ src/Fl_Native_File_Chooser_WIN32.cxx	(working copy)
@@ -21,6 +21,10 @@
 //     http://www.codeproject.com/dialog/selectfolder.asp
 //
 
+#ifndef FLTK_CONFIG_H
+#  error "config.h has not been #included"
+#endif
+
 #ifndef FL_DOXYGEN		// PREVENT DOXYGEN'S USE OF THIS FILE
 #include <FL/Enumerations.H>
 
Index: src/Fl_Native_File_Chooser_common.cxx
===================================================================
--- src/Fl_Native_File_Chooser_common.cxx	(revision 11211)
+++ src/Fl_Native_File_Chooser_common.cxx	(working copy)
@@ -16,6 +16,10 @@
 //     http://www.fltk.org/str.php
 //
 
+#ifndef FLTK_CONFIG_H
+#  error "config.h has not been #included"
+#endif
+
 #include <string.h>
 #include <FL/Enumerations.H>
 
Index: src/Fl_PNG_Image.cxx
===================================================================
--- src/Fl_PNG_Image.cxx	(revision 11211)
+++ src/Fl_PNG_Image.cxx	(working copy)
@@ -26,10 +26,10 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_PNG_Image.H>
 #include <FL/Fl_Shared_Image.H>
-#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/fl_utf8.h>
Index: src/Fl_PNM_Image.cxx
===================================================================
--- src/Fl_PNM_Image.cxx	(revision 11211)
+++ src/Fl_PNM_Image.cxx	(working copy)
@@ -25,6 +25,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_PNM_Image.H>
 #include <stdio.h>
Index: src/Fl_Pack.cxx
===================================================================
--- src/Fl_Pack.cxx	(revision 11211)
+++ src/Fl_Pack.cxx	(working copy)
@@ -21,6 +21,7 @@
 // them on each redraw (only if box() is zero)
 // Bugs: ?
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Pack.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Paged_Device.cxx
===================================================================
--- src/Fl_Paged_Device.cxx	(revision 11211)
+++ src/Fl_Paged_Device.cxx	(working copy)
@@ -19,6 +19,7 @@
  \brief implementation of class Fl_Paged_Device.
  */
 
+#include <config.h>
 #include <FL/Fl_Paged_Device.H>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Positioner.cxx
===================================================================
--- src/Fl_Positioner.cxx	(revision 11211)
+++ src/Fl_Positioner.cxx	(working copy)
@@ -19,6 +19,7 @@
 // The positioner widget from Forms, gives 2D input
 // Written by: Mark Overmars
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Positioner.H>
 #include <FL/fl_draw.H>
Index: src/Fl_PostScript.cxx
===================================================================
--- src/Fl_PostScript.cxx	(revision 11211)
+++ src/Fl_PostScript.cxx	(working copy)
@@ -16,8 +16,8 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl_Printer.H>
-#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_ask.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Preferences.cxx
===================================================================
--- src/Fl_Preferences.cxx	(revision 11211)
+++ src/Fl_Preferences.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Preferences.H>
 #include <FL/Fl_Plugin.H>
@@ -44,7 +45,6 @@
 #  include <dlfcn.h>
 #else
 #  include <unistd.h>
-#  include <config.h>
 #  if HAVE_DLFCN_H
 #    include <dlfcn.h>
 #  endif
Index: src/Fl_Printer.cxx
===================================================================
--- src/Fl_Printer.cxx	(revision 11211)
+++ src/Fl_Printer.cxx	(working copy)
@@ -17,6 +17,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl_Printer.H>
 
 #if defined(WIN32)
Index: src/Fl_Progress.cxx
===================================================================
--- src/Fl_Progress.cxx	(revision 11211)
+++ src/Fl_Progress.cxx	(working copy)
@@ -26,6 +26,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Progress.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Quartz_Printer.mm
===================================================================
--- src/Fl_Quartz_Printer.mm	(revision 11211)
+++ src/Fl_Quartz_Printer.mm	(working copy)
@@ -16,6 +16,8 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
+
 #ifdef __APPLE__
 #include <FL/Fl_Printer.H>
 
Index: src/Fl_Repeat_Button.cxx
===================================================================
--- src/Fl_Repeat_Button.cxx	(revision 11211)
+++ src/Fl_Repeat_Button.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Repeat_Button.H>
 
Index: src/Fl_Return_Button.cxx
===================================================================
--- src/Fl_Return_Button.cxx	(revision 11211)
+++ src/Fl_Return_Button.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Return_Button.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Roller.cxx
===================================================================
--- src/Fl_Roller.cxx	(revision 11211)
+++ src/Fl_Roller.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // Rapid-App style knob
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Roller.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Round_Button.cxx
===================================================================
--- src/Fl_Round_Button.cxx	(revision 11211)
+++ src/Fl_Round_Button.cxx	(working copy)
@@ -20,6 +20,7 @@
 // circle is smaller than the widget size and can be surrounded by
 // another box type, for compatibility with Forms.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Round_Button.H>
 #include <FL/Fl_Radio_Round_Button.H>
Index: src/Fl_Scroll.cxx
===================================================================
--- src/Fl_Scroll.cxx	(revision 11211)
+++ src/Fl_Scroll.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Tiled_Image.H>
 #include <FL/Fl_Scroll.H>
Index: src/Fl_Scrollbar.cxx
===================================================================
--- src/Fl_Scrollbar.cxx	(revision 11211)
+++ src/Fl_Scrollbar.cxx	(working copy)
@@ -17,6 +17,7 @@
 //
 
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Scrollbar.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Shared_Image.cxx
===================================================================
--- src/Fl_Shared_Image.cxx	(revision 11211)
+++ src/Fl_Shared_Image.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/fl_utf8.h>
Index: src/Fl_Single_Window.cxx
===================================================================
--- src/Fl_Single_Window.cxx	(revision 11211)
+++ src/Fl_Single_Window.cxx	(working copy)
@@ -22,6 +22,7 @@
 //	buffered.  You can turn it off using this subclass in case
 //	your display looks better without it.
 
+#include <config.h>
 #include <FL/Fl_Single_Window.H>
 
 
Index: src/Fl_Slider.cxx
===================================================================
--- src/Fl_Slider.cxx	(revision 11211)
+++ src/Fl_Slider.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Slider.H>
 #include <FL/Fl_Fill_Slider.H>
Index: src/Fl_Sys_Menu_Bar.mm
===================================================================
--- src/Fl_Sys_Menu_Bar.mm	(revision 11211)
+++ src/Fl_Sys_Menu_Bar.mm	(working copy)
@@ -32,6 +32,8 @@
  * Many other calls of the parent class don't work.
  */
 
+#include <config.h>
+
 #if defined(__APPLE__) || defined(FL_DOXYGEN)
 #include <FL/Fl_Menu_Item.H>
 #include <FL/Fl_Sys_Menu_Bar.H>
Index: src/Fl_Table.cxx
===================================================================
--- src/Fl_Table.cxx	(revision 11211)
+++ src/Fl_Table.cxx	(working copy)
@@ -17,6 +17,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>		// fprintf
 #include <FL/fl_draw.H>
 #include <FL/Fl_Table.H>
Index: src/Fl_Table_Row.cxx
===================================================================
--- src/Fl_Table_Row.cxx	(revision 11211)
+++ src/Fl_Table_Row.cxx	(working copy)
@@ -24,6 +24,7 @@
 //    o Row headings (only column headings supported currently)
 //
 
+#include <config.h>
 #include <stdio.h>		// for debugging
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Tabs.cxx
===================================================================
--- src/Fl_Tabs.cxx	(revision 11211)
+++ src/Fl_Tabs.cxx	(working copy)
@@ -22,6 +22,7 @@
 // Each child widget is a card, and its label() is printed on the card tab.
 // Clicking the tab makes that card visible.
 
+#include <config.h>
 #include <stdio.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Tabs.H>
Index: src/Fl_Text_Buffer.cxx
===================================================================
--- src/Fl_Text_Buffer.cxx	(revision 11211)
+++ src/Fl_Text_Buffer.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/fl_utf8.h>
Index: src/Fl_Text_Display.cxx
===================================================================
--- src/Fl_Text_Display.cxx	(revision 11211)
+++ src/Fl_Text_Display.cxx	(working copy)
@@ -19,6 +19,7 @@
 // TODO: rendering of the "optional hyphen"
 // TODO: font background color control via style buffer
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/fl_utf8.h>
Index: src/Fl_Text_Editor.cxx
===================================================================
--- src/Fl_Text_Editor.cxx	(revision 11211)
+++ src/Fl_Text_Editor.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include "flstring.h"
Index: src/Fl_Tile.cxx
===================================================================
--- src/Fl_Tile.cxx	(revision 11211)
+++ src/Fl_Tile.cxx	(working copy)
@@ -79,6 +79,7 @@
   See also the complete example program in test/tile.cxx.
 */
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Tile.H>
 #include <FL/Fl_Window.H>
Index: src/Fl_Tiled_Image.cxx
===================================================================
--- src/Fl_Tiled_Image.cxx	(revision 11211)
+++ src/Fl_Tiled_Image.cxx	(working copy)
@@ -16,7 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
-
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Tiled_Image.H>
 #include <FL/Fl_Window.H>
Index: src/Fl_Tooltip.cxx
===================================================================
--- src/Fl_Tooltip.cxx	(revision 11211)
+++ src/Fl_Tooltip.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl_Tooltip.H>
 #include <FL/fl_draw.H>
 #include <FL/Fl_Menu_Window.H>
Index: src/Fl_Tree.cxx
===================================================================
--- src/Fl_Tree.cxx	(revision 11211)
+++ src/Fl_Tree.cxx	(working copy)
@@ -2,6 +2,7 @@
 // "$Id$"
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
Index: src/Fl_Tree_Item.cxx
===================================================================
--- src/Fl_Tree_Item.cxx	(revision 11211)
+++ src/Fl_Tree_Item.cxx	(working copy)
@@ -2,6 +2,7 @@
 // "$Id$"
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
Index: src/Fl_Tree_Item_Array.cxx
===================================================================
--- src/Fl_Tree_Item_Array.cxx	(revision 11211)
+++ src/Fl_Tree_Item_Array.cxx	(working copy)
@@ -2,6 +2,7 @@
 // "$Id$"
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
Index: src/Fl_Tree_Prefs.cxx
===================================================================
--- src/Fl_Tree_Prefs.cxx	(revision 11211)
+++ src/Fl_Tree_Prefs.cxx	(working copy)
@@ -2,6 +2,7 @@
 // "$Id$"
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Pixmap.H>
 #include <FL/Fl_Tree_Prefs.H>
Index: src/Fl_Valuator.cxx
===================================================================
--- src/Fl_Valuator.cxx	(revision 11211)
+++ src/Fl_Valuator.cxx	(working copy)
@@ -19,6 +19,7 @@
 
 // Base class for sliders and all other one-value "knobs"
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Valuator.H>
 #include <FL/math.h>
Index: src/Fl_Value_Input.cxx
===================================================================
--- src/Fl_Value_Input.cxx	(revision 11211)
+++ src/Fl_Value_Input.cxx	(working copy)
@@ -20,6 +20,7 @@
 // Warning: this works by making a child Fl_Input object, even
 // though this object is *not* an Fl_Group.  May be a kludge?
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Value_Input.H>
 #include <FL/Fl_Group.H>
Index: src/Fl_Value_Output.cxx
===================================================================
--- src/Fl_Value_Output.cxx	(revision 11211)
+++ src/Fl_Value_Output.cxx	(working copy)
@@ -20,6 +20,7 @@
 // This is much lighter than Fl_Value_Input because it has no text editor
 // If step() is zero then it can be used to display a floating-point value
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Value_Output.H>
 #include <FL/fl_draw.H>
Index: src/Fl_Value_Slider.cxx
===================================================================
--- src/Fl_Value_Slider.cxx	(revision 11211)
+++ src/Fl_Value_Slider.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Value_Slider.H>
 #include <FL/Fl_Hor_Value_Slider.H>
Index: src/Fl_Widget.cxx
===================================================================
--- src/Fl_Widget.cxx	(revision 11211)
+++ src/Fl_Widget.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include <FL/Fl_Group.H>
Index: src/Fl_Window_fullscreen.cxx
===================================================================
--- src/Fl_Window_fullscreen.cxx	(revision 11211)
+++ src/Fl_Window_fullscreen.cxx	(working copy)
@@ -26,11 +26,10 @@
 // the window full screen will lose the size of the border off the
 // bottom and right.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 
-#include <config.h>
-
 #if FLTK_ABI_VERSION < 10301
 int Fl_Window::no_fullscreen_x = 0;
 int Fl_Window::no_fullscreen_y = 0;
Index: src/Fl_Window_hotspot.cxx
===================================================================
--- src/Fl_Window_hotspot.cxx	(revision 11211)
+++ src/Fl_Window_hotspot.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
 #include <FL/x.H>
Index: src/Fl_Window_iconize.cxx
===================================================================
--- src/Fl_Window_iconize.cxx	(revision 11211)
+++ src/Fl_Window_iconize.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/x.H>
 
 extern char fl_show_iconic; // in Fl_x.cxx
Index: src/Fl_Window_shape.cxx
===================================================================
--- src/Fl_Window_shape.cxx	(revision 11211)
+++ src/Fl_Window_shape.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include <FL/x.H>
@@ -27,7 +28,6 @@
 #ifdef WIN32
 # include <malloc.h> // needed for VisualC2010
 #elif !defined(__APPLE__)
-#include <config.h>
 #if HAVE_DLFCN_H
 #include <dlfcn.h>
 #endif
Index: src/Fl_Wizard.cxx
===================================================================
--- src/Fl_Wizard.cxx	(revision 11211)
+++ src/Fl_Wizard.cxx	(working copy)
@@ -30,6 +30,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl_Wizard.H>
 #include <FL/Fl_Window.H>
 #include <FL/fl_draw.H>
Index: src/Fl_XBM_Image.cxx
===================================================================
--- src/Fl_XBM_Image.cxx	(revision 11211)
+++ src/Fl_XBM_Image.cxx	(working copy)
@@ -24,6 +24,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_XBM_Image.H>
 #include <stdio.h>
Index: src/Fl_XColor.H
===================================================================
--- src/Fl_XColor.H	(revision 11211)
+++ src/Fl_XColor.H	(working copy)
@@ -16,7 +16,6 @@
 //     http://www.fltk.org/str.php
 //
 
-#include <config.h>
 #include <FL/Enumerations.H>
 
 // one of these for each color in fltk's "colormap":
Index: src/Fl_XPM_Image.cxx
===================================================================
--- src/Fl_XPM_Image.cxx	(revision 11211)
+++ src/Fl_XPM_Image.cxx	(working copy)
@@ -23,6 +23,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_XPM_Image.H>
 #include <stdio.h>
Index: src/Fl_abort.cxx
===================================================================
--- src/Fl_abort.cxx	(revision 11211)
+++ src/Fl_abort.cxx	(working copy)
@@ -20,6 +20,7 @@
 // do not need to be included in Fl.cxx:
 // You can also override this by redefining all of these.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <stdio.h>
 #include <stdlib.h>
Index: src/Fl_add_idle.cxx
===================================================================
--- src/Fl_add_idle.cxx	(revision 11211)
+++ src/Fl_add_idle.cxx	(working copy)
@@ -19,6 +19,7 @@
 // Allows you to manage an arbitrary set of idle() callbacks.
 // Replaces the older set_idle() call (which is used to implement this)
 
+#include <config.h>
 #include <FL/Fl.H>
 
 struct idle_cb {
Index: src/Fl_arg.cxx
===================================================================
--- src/Fl_arg.cxx	(revision 11211)
+++ src/Fl_arg.cxx	(working copy)
@@ -19,6 +19,7 @@
 // OPTIONAL initialization code for a program using fltk.
 // You do not need to call this!  Feel free to make up your own switches.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 #include <FL/Fl_Window.H>
Index: src/Fl_cocoa.mm
===================================================================
--- src/Fl_cocoa.mm	(revision 11211)
+++ src/Fl_cocoa.mm	(working copy)
@@ -33,6 +33,7 @@
 
 #define CONSOLIDATE_MOTION 0
 extern "C" {
+#include <config.h>
 #include <pthread.h>
 }
 
Index: src/Fl_compose.cxx
===================================================================
--- src/Fl_compose.cxx	(revision 11211)
+++ src/Fl_compose.cxx	(working copy)
@@ -22,6 +22,7 @@
 */
 
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 
Index: src/Fl_display.cxx
===================================================================
--- src/Fl_display.cxx	(revision 11211)
+++ src/Fl_display.cxx	(working copy)
@@ -19,6 +19,7 @@
 // Startup method to set what display to use.
 // Using setenv makes programs that are exec'd use the same display.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <stdlib.h>
 #include "flstring.h"
Index: src/Fl_get_key.cxx
===================================================================
--- src/Fl_get_key.cxx	(revision 11211)
+++ src/Fl_get_key.cxx	(working copy)
@@ -16,6 +16,8 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
+
 #ifdef WIN32
 #  include "Fl_get_key_win32.cxx"
 #elif defined(__APPLE__)
Index: src/Fl_get_key_mac.cxx
===================================================================
--- src/Fl_get_key_mac.cxx	(revision 11211)
+++ src/Fl_get_key_mac.cxx	(working copy)
@@ -22,7 +22,6 @@
 
 #include <FL/Fl.H>
 #include <FL/x.H>
-#include <config.h>
 
 // The list of Mac OS virtual keycodes appears with OS 10.5 in
 // ...../Carbon.framework/Frameworks/HIToolbox.framework/Headers/Events.h
Index: src/Fl_get_system_colors.cxx
===================================================================
--- src/Fl_get_system_colors.cxx	(revision 11211)
+++ src/Fl_get_system_colors.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include <FL/x.H>
Index: src/Fl_lock.cxx
===================================================================
--- src/Fl_lock.cxx	(revision 11211)
+++ src/Fl_lock.cxx	(working copy)
@@ -16,10 +16,8 @@
 //     http://www.fltk.org/str.php
 //
 
-
+#include <config.h>
 #include <FL/Fl.H>
-#include <config.h>
-
 #include <stdlib.h>
 
 /*
Index: src/filename_absolute.cxx
===================================================================
--- src/filename_absolute.cxx	(revision 11211)
+++ src/filename_absolute.cxx	(working copy)
@@ -22,6 +22,7 @@
    Returns true if any changes were made.
 */
 
+#include <config.h>
 #include <FL/filename.H>
 #include <FL/fl_utf8.h>
 #include <stdlib.h>
Index: src/filename_expand.cxx
===================================================================
--- src/filename_expand.cxx	(revision 11211)
+++ src/filename_expand.cxx	(working copy)
@@ -21,6 +21,7 @@
    to & from may be the same buffer.
 */
 
+#include <config.h>
 #include <FL/filename.H>
 #include <FL/fl_utf8.h>
 #include <stdlib.h>
Index: src/filename_ext.cxx
===================================================================
--- src/filename_ext.cxx	(revision 11211)
+++ src/filename_ext.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // returns pointer to the last '.' or to the null if none:
 
+#include <config.h>
 #include <FL/filename.H>
 
 /** Gets the extensions of a filename.
Index: src/filename_isdir.cxx
===================================================================
--- src/filename_isdir.cxx	(revision 11211)
+++ src/filename_isdir.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // Used by fl_file_chooser
 
+#include <config.h>
 #include "flstring.h"
 #include <sys/types.h>
 #include <sys/stat.h>
Index: src/filename_list.cxx
===================================================================
--- src/filename_list.cxx	(revision 11211)
+++ src/filename_list.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // Wrapper for scandir with const-correct function prototypes.
 
+#include <config.h>
 #include <FL/filename.H>
 #include <FL/fl_utf8.h>
 #include "flstring.h"
Index: src/filename_match.cxx
===================================================================
--- src/filename_match.cxx	(revision 11211)
+++ src/filename_match.cxx	(working copy)
@@ -17,6 +17,7 @@
 //
 
 /* Adapted from Rich Salz. */
+#include <config.h>
 #include <FL/filename.H>
 #include <ctype.h>
 
Index: src/filename_setext.cxx
===================================================================
--- src/filename_setext.cxx	(revision 11211)
+++ src/filename_setext.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // Replace .ext with new extension
 
+#include <config.h>
 #include <FL/filename.H>
 #include "flstring.h"
 
Index: src/fl_arc.cxx
===================================================================
--- src/fl_arc.cxx	(revision 11211)
+++ src/fl_arc.cxx	(working copy)
@@ -25,6 +25,7 @@
 // the current fl_begin/fl_vertex/fl_end path.
 // Incremental math implementation:
 
+#include <config.h>
 #include <FL/fl_draw.H>
 #include <FL/math.h>
 
Index: src/fl_arci.cxx
===================================================================
--- src/fl_arci.cxx	(revision 11211)
+++ src/fl_arci.cxx	(working copy)
@@ -31,12 +31,12 @@
 
 // 3/10/98: created
 
+#include <config.h>
 #include <FL/fl_draw.H>
 #include <FL/x.H>
 #ifdef WIN32
 #  include <FL/math.h>
 #endif
-#include <config.h>
 
 void Fl_Graphics_Driver::arc(int x,int y,int w,int h,double a1,double a2) {
   if (w <= 0 || h <= 0) return;
Index: src/fl_ask.cxx
===================================================================
--- src/fl_ask.cxx	(revision 11211)
+++ src/fl_ask.cxx	(working copy)
@@ -26,6 +26,7 @@
 // mostly.  In most cases it is easier to get a multi-line message
 // by putting newlines in the message.
 
+#include <config.h>
 #include <stdio.h>
 #include <stdarg.h>
 #include "flstring.h"
Index: src/fl_boxtype.cxx
===================================================================
--- src/fl_boxtype.cxx	(revision 11211)
+++ src/fl_boxtype.cxx	(working copy)
@@ -25,10 +25,10 @@
 // boxtypes.  Other box types are in separate files so they are not
 // linked in if not used.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include <FL/fl_draw.H>
-#include <config.h>
 
 ////////////////////////////////////////////////////////////////
 
Index: src/fl_call_main.c
===================================================================
--- src/fl_call_main.c	(revision 11211)
+++ src/fl_call_main.c	(working copy)
@@ -37,6 +37,8 @@
  * Microsoft(r) Windows(r) that allows for it.
  */
 
+#include <config.h>
+
 #if defined(WIN32) && !defined(FL_DLL) && !defined (__GNUC__)
 
 #  include <windows.h>
Index: src/fl_color.cxx
===================================================================
--- src/fl_color.cxx	(revision 11211)
+++ src/fl_color.cxx	(working copy)
@@ -23,6 +23,8 @@
 
 // Implementation of fl_color(i), fl_color(r,g,b).
 
+#include <config.h>
+
 #ifdef WIN32
 #  include "fl_color_win32.cxx"
 #elif defined(__APPLE__)
Index: src/fl_color_mac.cxx
===================================================================
--- src/fl_color_mac.cxx	(revision 11211)
+++ src/fl_color_mac.cxx	(working copy)
@@ -24,7 +24,6 @@
 // matt: Neither Quartz nor Quickdraw support colormaps in this implementation
 // matt: Quartz support done
 
-#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 #include <FL/fl_draw.H>
Index: src/fl_color_win32.cxx
===================================================================
--- src/fl_color_win32.cxx	(revision 11211)
+++ src/fl_color_win32.cxx	(working copy)
@@ -25,7 +25,6 @@
 // being used to index arrays.  So I always copy them to an integer
 // before use.
 
-#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 #include <FL/fl_draw.H>
Index: src/fl_cursor.cxx
===================================================================
--- src/fl_cursor.cxx	(revision 11211)
+++ src/fl_cursor.cxx	(working copy)
@@ -22,6 +22,7 @@
 // This avoids a field in the Fl_Window, and I suspect is more
 // portable to other systems.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
 #include <FL/Fl_Pixmap.H>
Index: src/fl_curve.cxx
===================================================================
--- src/fl_curve.cxx	(revision 11211)
+++ src/fl_curve.cxx	(working copy)
@@ -26,6 +26,7 @@
   If anybody has a better algorithm, please send it!
 */
 
+#include <config.h>
 #include <FL/fl_draw.H>
 #include <math.h>
 
Index: src/fl_diamond_box.cxx
===================================================================
--- src/fl_diamond_box.cxx	(revision 11211)
+++ src/fl_diamond_box.cxx	(working copy)
@@ -22,6 +22,7 @@
 
 // The diamond box draws best if the area is square!
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 
Index: src/fl_dnd.cxx
===================================================================
--- src/fl_dnd.cxx	(revision 11211)
+++ src/fl_dnd.cxx	(working copy)
@@ -16,6 +16,8 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
+
 #ifdef WIN32
 #  include "fl_dnd_win32.cxx"
 #elif defined(__APPLE__)
Index: src/fl_draw.cxx
===================================================================
--- src/fl_draw.cxx	(revision 11211)
+++ src/fl_draw.cxx	(working copy)
@@ -23,6 +23,7 @@
 // Expands all unprintable characters to ^X or \nnn notation
 // Aligns them against the inside of the box.
 
+#include <config.h>
 #include <FL/fl_utf8.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
Index: src/fl_draw_image.cxx
===================================================================
--- src/fl_draw_image.cxx	(revision 11211)
+++ src/fl_draw_image.cxx	(working copy)
@@ -26,6 +26,7 @@
 // the "delta" and "linedelta", making them negative, though this may
 // defeat some of the shortcuts in translating the image for X.
 
+#include <config.h>
 #ifdef WIN32
 #  include "fl_draw_image_win32.cxx"
 #elif defined(__APPLE__)
Index: src/fl_draw_image_mac.cxx
===================================================================
--- src/fl_draw_image_mac.cxx	(revision 11211)
+++ src/fl_draw_image_mac.cxx	(working copy)
@@ -18,7 +18,6 @@
 
 ////////////////////////////////////////////////////////////////
 
-#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include <FL/Fl_Printer.H>
Index: src/fl_draw_image_win32.cxx
===================================================================
--- src/fl_draw_image_win32.cxx	(revision 11211)
+++ src/fl_draw_image_win32.cxx	(working copy)
@@ -35,7 +35,6 @@
 
 ////////////////////////////////////////////////////////////////
 
-#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Printer.H>
 #include <FL/fl_draw.H>
Index: src/fl_draw_pixmap.cxx
===================================================================
--- src/fl_draw_pixmap.cxx	(revision 11211)
+++ src/fl_draw_pixmap.cxx	(working copy)
@@ -32,6 +32,7 @@
 // The above comments were checked in as r2, and much has changed since then;
 // transparency added, color cube not required, etc.      -erco Oct 20 2013
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include <FL/x.H>
Index: src/fl_encoding_latin1.cxx
===================================================================
--- src/fl_encoding_latin1.cxx	(revision 11211)
+++ src/fl_encoding_latin1.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/fl_draw.H>
 #include <FL/Enumerations.H>
 #include <stdlib.h>
Index: src/fl_encoding_mac_roman.cxx
===================================================================
--- src/fl_encoding_mac_roman.cxx	(revision 11211)
+++ src/fl_encoding_mac_roman.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/fl_draw.H>
 #include <FL/Enumerations.H>
 #include <stdlib.h>
Index: src/fl_engraved_label.cxx
===================================================================
--- src/fl_engraved_label.cxx	(revision 11211)
+++ src/fl_engraved_label.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // Drawing code for XForms style engraved & embossed labels
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include <FL/fl_draw.H>
Index: src/fl_file_dir.cxx
===================================================================
--- src/fl_file_dir.cxx	(revision 11211)
+++ src/fl_file_dir.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include "flstring.h"
 #include <FL/filename.H>
 #include <FL/Fl_File_Chooser.H>
Index: src/fl_font.cxx
===================================================================
--- src/fl_font.cxx	(revision 11211)
+++ src/fl_font.cxx	(working copy)
@@ -36,6 +36,7 @@
 #endif
 
 // Select fonts from the FLTK font table.
+#include <config.h>
 #include "flstring.h"
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
Index: src/fl_gleam.cxx
===================================================================
--- src/fl_gleam.cxx	(revision 11211)
+++ src/fl_gleam.cxx	(working copy)
@@ -25,6 +25,7 @@
 // an the bottom, the text area looks like in the classic FLTK way.
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 
Index: src/fl_gtk.cxx
===================================================================
--- src/fl_gtk.cxx	(revision 11211)
+++ src/fl_gtk.cxx	(working copy)
@@ -23,6 +23,7 @@
 // These box types are in separate files so they are not linked
 // in if not used.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 
Index: src/fl_images_core.cxx
===================================================================
--- src/fl_images_core.cxx	(revision 11211)
+++ src/fl_images_core.cxx	(working copy)
@@ -25,6 +25,7 @@
 // Include necessary header files...
 //
 
+#include <config.h>
 #include <FL/Fl_Shared_Image.H>
 #include <FL/Fl_BMP_Image.H>
 #include <FL/Fl_GIF_Image.H>
Index: src/fl_labeltype.cxx
===================================================================
--- src/fl_labeltype.cxx	(revision 11211)
+++ src/fl_labeltype.cxx	(working copy)
@@ -20,6 +20,7 @@
 // Other label types (symbols) are in their own source files
 // to avoid linking if not used.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include <FL/Fl_Group.H>
Index: src/fl_line_style.cxx
===================================================================
--- src/fl_line_style.cxx	(revision 11211)
+++ src/fl_line_style.cxx	(working copy)
@@ -21,6 +21,7 @@
   \brief Line style drawing utility hiding different platforms.
 */
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include <FL/x.H>
Index: src/fl_open_uri.cxx
===================================================================
--- src/fl_open_uri.cxx	(revision 11211)
+++ src/fl_open_uri.cxx	(working copy)
@@ -24,6 +24,7 @@
 // Include necessary headers...
 //
 
+#include <config.h>
 #include <FL/filename.H>
 #include <stdio.h>
 #include <stdlib.h>
Index: src/fl_oval_box.cxx
===================================================================
--- src/fl_oval_box.cxx	(revision 11211)
+++ src/fl_oval_box.cxx	(working copy)
@@ -20,6 +20,7 @@
 // Less-used box types are in separate files so they are not linked
 // in if not used.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 
Index: src/fl_overlay.cxx
===================================================================
--- src/fl_overlay.cxx	(revision 11211)
+++ src/fl_overlay.cxx	(working copy)
@@ -21,11 +21,9 @@
 // to erase the overlay before drawing anything that might intersect
 // it.
 
+#include <config.h>
 #include <FL/x.H>
 #include <FL/fl_draw.H>
-#ifdef __APPLE__
-#include <config.h>
-#endif
 
 //#define USE_XOR
 
Index: src/fl_plastic.cxx
===================================================================
--- src/fl_plastic.cxx	(revision 11211)
+++ src/fl_plastic.cxx	(working copy)
@@ -23,6 +23,7 @@
 // These box types are in separate files so they are not linked
 // in if not used.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include "flstring.h"
Index: src/fl_read_image.cxx
===================================================================
--- src/fl_read_image.cxx	(revision 11211)
+++ src/fl_read_image.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/x.H>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
Index: src/fl_read_image_mac.cxx
===================================================================
--- src/fl_read_image_mac.cxx	(revision 11211)
+++ src/fl_read_image_mac.cxx	(working copy)
@@ -16,8 +16,6 @@
 //     http://www.fltk.org/str.php
 //
 
-#include <config.h>
-
 //
 // 'fl_read_image()' - Read an image from the current window or off-screen buffer.
 //
Index: src/fl_round_box.cxx
===================================================================
--- src/fl_round_box.cxx	(revision 11211)
+++ src/fl_round_box.cxx	(working copy)
@@ -20,6 +20,7 @@
 // These box types are in separate files so they are not linked
 // in if not used.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 
Index: src/fl_rounded_box.cxx
===================================================================
--- src/fl_rounded_box.cxx	(revision 11211)
+++ src/fl_rounded_box.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 
Index: src/fl_set_font.cxx
===================================================================
--- src/fl_set_font.cxx	(revision 11211)
+++ src/fl_set_font.cxx	(working copy)
@@ -19,6 +19,7 @@
 // Add a font to the internal table.
 // Also see fl_set_fonts.cxx which adds all possible fonts.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 #include <FL/fl_draw.H>
Index: src/fl_set_fonts.cxx
===================================================================
--- src/fl_set_fonts.cxx	(revision 11211)
+++ src/fl_set_fonts.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
 #include "Fl_Font.H"
Index: src/fl_set_fonts_mac.cxx
===================================================================
--- src/fl_set_fonts_mac.cxx	(revision 11211)
+++ src/fl_set_fonts_mac.cxx	(working copy)
@@ -16,8 +16,6 @@
 //     http://www.fltk.org/str.php
 //
 
-#include <config.h>
-
 // #inclde <SFNTTypes.h>
 
 
Index: src/fl_shadow_box.cxx
===================================================================
--- src/fl_shadow_box.cxx	(revision 11211)
+++ src/fl_shadow_box.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 
Index: src/fl_shortcut.cxx
===================================================================
--- src/fl_shortcut.cxx	(revision 11211)
+++ src/fl_shortcut.cxx	(working copy)
@@ -32,6 +32,7 @@
 // This allows punctuation shortcuts like "#" to work (rather than
 // calling it "shift+3" on a US keyboard)
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include <FL/Fl_Button.H>
Index: src/fl_show_colormap.cxx
===================================================================
--- src/fl_show_colormap.cxx	(revision 11211)
+++ src/fl_show_colormap.cxx	(working copy)
@@ -16,11 +16,11 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Single_Window.H>
 #include <FL/fl_draw.H>
 #include <FL/fl_show_colormap.H>
-#include <config.h>
 
 #define BOXSIZE 14
 #define BORDER 4
Index: src/fl_symbols.cxx
===================================================================
--- src/fl_symbols.cxx	(revision 11211)
+++ src/fl_symbols.cxx	(working copy)
@@ -25,6 +25,7 @@
 // Version 2.1 a
 // Date: Oct  2, 1992
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/fl_draw.H>
 #include <FL/math.h>
Index: src/fl_utf.c
===================================================================
--- src/fl_utf.c	(revision 11211)
+++ src/fl_utf.c	(working copy)
@@ -18,6 +18,7 @@
 
 /* Modified to obey rfc3629, which limits unicode to 0-0x10ffff */
 
+#include <config.h>
 #include <FL/fl_utf8.h>
 #include <string.h>
 #include <stdlib.h>
Index: src/flstring.c
===================================================================
--- src/flstring.c	(revision 11211)
+++ src/flstring.c	(working copy)
@@ -16,6 +16,7 @@
  *     http://www.fltk.org/str.php
  */
 
+#include <config.h>
 #include "flstring.h"
 
 
Index: src/flstring.h
===================================================================
--- src/flstring.h	(revision 11211)
+++ src/flstring.h	(working copy)
@@ -20,7 +20,6 @@
 #  define flstring_h
 
 #  include <FL/Fl_Export.H>
-#  include <config.h>
 #  include <stdio.h>
 #  include <stdarg.h>
 #  include <string.h>
Index: src/forms_bitmap.cxx
===================================================================
--- src/forms_bitmap.cxx	(revision 11211)
+++ src/forms_bitmap.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/forms.H>
 /** Creates a bitmap widget from a box type, position, size and optional label specification */
 Fl_FormsBitmap::Fl_FormsBitmap(
Index: src/forms_compatability.cxx
===================================================================
--- src/forms_compatability.cxx	(revision 11211)
+++ src/forms_compatability.cxx	(working copy)
@@ -19,6 +19,7 @@
 // Forms library compatibility functions.
 // Many more functions are defined as inlines in forms.h!
 
+#include <config.h>
 #include <FL/forms.H>
 #include <stdlib.h>
 
Index: src/forms_free.cxx
===================================================================
--- src/forms_free.cxx	(revision 11211)
+++ src/forms_free.cxx	(working copy)
@@ -21,6 +21,7 @@
 // me to port several other programs, but it is in no way
 // complete.
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Free.H>
 
Index: src/forms_fselect.cxx
===================================================================
--- src/forms_fselect.cxx	(revision 11211)
+++ src/forms_fselect.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 // Emulate the Forms file chooser using the fltk file chooser.
 
+#include <config.h>
 #include <FL/forms.H>
 #include "flstring.h"
 
Index: src/forms_pixmap.cxx
===================================================================
--- src/forms_pixmap.cxx	(revision 11211)
+++ src/forms_pixmap.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/forms.H>
 
 /**
Index: src/forms_timer.cxx
===================================================================
--- src/forms_timer.cxx	(revision 11211)
+++ src/forms_timer.cxx	(working copy)
@@ -20,6 +20,7 @@
 // You don't want to use this if you just want a timeout, call
 // Fl::add_timeout directly!
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Timer.H>
 #include <FL/fl_draw.H>
Index: src/freeglut_geometry.cxx
===================================================================
--- src/freeglut_geometry.cxx	(revision 11211)
+++ src/freeglut_geometry.cxx	(working copy)
@@ -25,6 +25,7 @@
  * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
 
+#include <config.h>
 #include <FL/glut.H>
 #include <FL/math.h>
 #include <stdlib.h>
Index: src/freeglut_stroke_mono_roman.cxx
===================================================================
--- src/freeglut_stroke_mono_roman.cxx	(revision 11211)
+++ src/freeglut_stroke_mono_roman.cxx	(working copy)
@@ -28,6 +28,7 @@
 
 /* This file has been automatically generated by the genstroke utility. */
 
+#include <config.h>
 #include <FL/glut.H>
 
 /* char: 0x20 */
Index: src/freeglut_stroke_roman.cxx
===================================================================
--- src/freeglut_stroke_roman.cxx	(revision 11211)
+++ src/freeglut_stroke_roman.cxx	(working copy)
@@ -28,6 +28,7 @@
 
 /* This file has been automatically generated by the genstroke utility. */
 
+#include <config.h>
 #include <FL/glut.H>
 
 /* char: 0x20 */
Index: src/freeglut_teapot.cxx
===================================================================
--- src/freeglut_teapot.cxx	(revision 11211)
+++ src/freeglut_teapot.cxx	(working copy)
@@ -72,6 +72,7 @@
  * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
  */
 
+#include <config.h>
 #include <FL/glut.H>
 #include "freeglut_teapot_data.h"
 
Index: src/gl_draw.cxx
===================================================================
--- src/gl_draw.cxx	(revision 11211)
+++ src/gl_draw.cxx	(working copy)
@@ -19,6 +19,7 @@
 // Functions from <FL/gl.h>
 // See also Fl_Gl_Window and gl_start.cxx
 
+#include <config.h>
 #include "flstring.h"
 #if HAVE_GL || defined(FL_DOXYGEN)
 
Index: src/glut_compatability.cxx
===================================================================
--- src/glut_compatability.cxx	(revision 11211)
+++ src/glut_compatability.cxx	(working copy)
@@ -26,6 +26,7 @@
 // Although I have copied the GLUT API, none of my code is based on
 // any Glut implementation details and is therefore covered by the LGPL.
 
+#include <config.h>
 #include "flstring.h"
 #if HAVE_GL
 
Index: src/ps_image.cxx
===================================================================
--- src/ps_image.cxx	(revision 11211)
+++ src/ps_image.cxx	(working copy)
@@ -18,6 +18,7 @@
 
 #ifndef FL_DOXYGEN
 
+#include <config.h>
 #include <stdio.h>
 #include <math.h>
 #include <string.h>
Index: src/screen_xywh.cxx
===================================================================
--- src/screen_xywh.cxx	(revision 11211)
+++ src/screen_xywh.cxx	(working copy)
@@ -17,9 +17,9 @@
 //
 
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/x.H>
-#include <config.h>
 
 #define MAX_SCREENS 16
 
Index: src/vsnprintf.c
===================================================================
--- src/vsnprintf.c	(revision 11211)
+++ src/vsnprintf.c	(working copy)
@@ -16,6 +16,7 @@
  *     http://www.fltk.org/str.php
  */
 
+#include <config.h>
 #include <stdio.h>
 #include "flstring.h"
 
Index: test/CubeView.cxx
===================================================================
--- test/CubeView.cxx	(revision 11211)
+++ test/CubeView.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include "CubeView.h"
 #include <math.h>
 
Index: test/CubeView.h
===================================================================
--- test/CubeView.h	(revision 11211)
+++ test/CubeView.h	(working copy)
@@ -18,7 +18,6 @@
 
 #ifndef CUBEVIEW_H
 #define CUBEVIEW_H 1
-#include <config.h>
 #include <FL/Fl.H>
 #if HAVE_GL
 #  include <FL/Fl_Gl_Window.H>
Index: test/adjuster.cxx
===================================================================
--- test/adjuster.cxx	(revision 11211)
+++ test/adjuster.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
Index: test/animated.cxx
===================================================================
--- test/animated.cxx	(revision 11211)
+++ test/animated.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
Index: test/arc.cxx
===================================================================
--- test/arc.cxx	(revision 11211)
+++ test/arc.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Hor_Value_Slider.H>
Index: test/ask.cxx
===================================================================
--- test/ask.cxx	(revision 11211)
+++ test/ask.cxx	(working copy)
@@ -19,6 +19,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <string.h>
 #include <FL/Fl.H>
Index: test/bitmap.cxx
===================================================================
--- test/bitmap.cxx	(revision 11211)
+++ test/bitmap.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
Index: test/blocks.cxx
===================================================================
--- test/blocks.cxx	(revision 11211)
+++ test/blocks.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
@@ -31,14 +32,12 @@
 #include <time.h>
 #include <math.h>
 
-// Audio headers...
-#include <config.h>
-
 #ifndef WIN32
 #  include <unistd.h>
 #  include <sys/time.h>
 #endif // !WIN32
 
+// Audio headers...
 #ifdef HAVE_ALSA_ASOUNDLIB_H
 #  define ALSA_PCM_NEW_HW_PARAMS_API
 #  include <alsa/asoundlib.h>
Index: test/boxtype.cxx
===================================================================
--- test/boxtype.cxx	(revision 11211)
+++ test/boxtype.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <stdio.h>
 #include <FL/Fl.H>
Index: test/browser.cxx
===================================================================
--- test/browser.cxx	(revision 11211)
+++ test/browser.cxx	(working copy)
@@ -52,6 +52,7 @@
 	Fl_Multi_Browser
 */
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Select_Browser.H>
 #include <FL/Fl_Double_Window.H>
Index: test/button.cxx
===================================================================
--- test/button.cxx	(revision 11211)
+++ test/button.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <stdio.h>
 #include <FL/Fl.H>
Index: test/buttons.cxx
===================================================================
--- test/buttons.cxx	(revision 11211)
+++ test/buttons.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <stdio.h>
 #include <FL/Fl.H>
Index: test/checkers.cxx
===================================================================
--- test/checkers.cxx	(revision 11211)
+++ test/checkers.cxx	(working copy)
@@ -51,6 +51,7 @@
 
 #undef check
 
+#include <config.h>
 #include <string.h>
 #include <stdlib.h>
 #include <stdio.h>
Index: test/clock.cxx
===================================================================
--- test/clock.cxx	(revision 11211)
+++ test/clock.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Clock.H>
Index: test/colbrowser.cxx
===================================================================
--- test/colbrowser.cxx	(revision 11211)
+++ test/colbrowser.cxx	(working copy)
@@ -16,7 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
-
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
Index: test/color_chooser.cxx
===================================================================
--- test/color_chooser.cxx	(revision 11211)
+++ test/color_chooser.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
 #include <FL/Fl_Box.H>
Index: test/connect.cxx
===================================================================
--- test/connect.cxx	(revision 11211)
+++ test/connect.cxx	(working copy)
@@ -20,6 +20,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <stdio.h>
 #include <unistd.h>
Index: test/cursor.cxx
===================================================================
--- test/cursor.cxx	(revision 11211)
+++ test/cursor.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Hor_Value_Slider.H>
Index: test/curve.cxx
===================================================================
--- test/curve.cxx	(revision 11211)
+++ test/curve.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Hor_Value_Slider.H>
Index: test/demo.cxx
===================================================================
--- test/demo.cxx	(revision 11211)
+++ test/demo.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
Index: test/device.cxx
===================================================================
--- test/device.cxx	(revision 11211)
+++ test/device.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <math.h>
 #include <FL/Fl.H>
 
Index: test/doublebuffer.cxx
===================================================================
--- test/doublebuffer.cxx	(revision 11211)
+++ test/doublebuffer.cxx	(working copy)
@@ -26,6 +26,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Single_Window.H>
 #include <FL/Fl_Double_Window.H>
Index: test/editor.cxx
===================================================================
--- test/editor.cxx	(revision 11211)
+++ test/editor.cxx	(working copy)
@@ -22,6 +22,7 @@
 // Include necessary headers...
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
Index: test/file_chooser.cxx
===================================================================
--- test/file_chooser.cxx	(revision 11211)
+++ test/file_chooser.cxx	(working copy)
@@ -33,6 +33,7 @@
 // Include necessary headers...
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <FL/Fl_File_Chooser.H>
 #include <FL/Fl_File_Icon.H>
Index: test/fonts.cxx
===================================================================
--- test/fonts.cxx	(revision 11211)
+++ test/fonts.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Tile.H>
Index: test/forms.cxx
===================================================================
--- test/forms.cxx	(revision 11211)
+++ test/forms.cxx	(working copy)
@@ -21,6 +21,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/forms.H> // changed for fltk
 
 static int border = 1; // changed from FL_TRANSIENT for fltk
Index: test/fromdos.c
===================================================================
--- test/fromdos.c	(revision 11211)
+++ test/fromdos.c	(working copy)
@@ -2,6 +2,7 @@
 
 /* this can do in-place conversion or be used as a pipe... */
 
+#include <config.h>
 #include <stdio.h>
 #include <errno.h>
 #include <unistd.h>
Index: test/hello.cxx
===================================================================
--- test/hello.cxx	(revision 11211)
+++ test/hello.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
 #include <FL/Fl_Box.H>
Index: test/help.cxx
===================================================================
--- test/help.cxx	(revision 11211)
+++ test/help.cxx	(working copy)
@@ -24,6 +24,7 @@
 // Include necessary headers...
 //
 
+#include <config.h>
 #include <FL/Fl_Help_Dialog.H>
 
 
Index: test/icon.cxx
===================================================================
--- test/icon.cxx	(revision 11211)
+++ test/icon.cxx	(working copy)
@@ -14,6 +14,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Choice.H>
Index: test/iconize.cxx
===================================================================
--- test/iconize.cxx	(revision 11211)
+++ test/iconize.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
 #include <FL/Fl_Button.H>
Index: test/image.cxx
===================================================================
--- test/image.cxx	(revision 11211)
+++ test/image.cxx	(working copy)
@@ -20,6 +20,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
Index: test/input.cxx
===================================================================
--- test/input.cxx	(revision 11211)
+++ test/input.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
Index: test/input_choice.cxx
===================================================================
--- test/input_choice.cxx	(revision 11211)
+++ test/input_choice.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <FL/Fl_Button.H>
 #include <FL/Fl_Double_Window.H>
Index: test/keyboard.cxx
===================================================================
--- test/keyboard.cxx	(revision 11211)
+++ test/keyboard.cxx	(working copy)
@@ -34,6 +34,7 @@
 // On IRIX the backslash key does not work.  A bug in XKeysymToKeycode?
 //
 
+#include <config.h>
 #include "keyboard_ui.h"
 
 #include <string.h>
Index: test/label.cxx
===================================================================
--- test/label.cxx	(revision 11211)
+++ test/label.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Box.H>
Index: test/line_style.cxx
===================================================================
--- test/line_style.cxx	(revision 11211)
+++ test/line_style.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Value_Slider.H>
Index: test/list_visuals.cxx
===================================================================
--- test/list_visuals.cxx	(revision 11211)
+++ test/list_visuals.cxx	(working copy)
@@ -35,12 +35,11 @@
 
 #else
 
-#include <config.h>
-
 #define HAVE_MULTIBUF 0
 
 #ifndef Fl_H
 
+#include <config.h>
 #include <X11/Xlib.h>
 #include <X11/Xutil.h>
 #include <X11/Xatom.h>
Index: test/mandelbrot.cxx
===================================================================
--- test/mandelbrot.cxx	(revision 11211)
+++ test/mandelbrot.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include "mandelbrot_ui.h"
 #include <FL/fl_draw.H>
 #include <FL/Fl_Button.H>
Index: test/menubar.cxx
===================================================================
--- test/menubar.cxx	(revision 11211)
+++ test/menubar.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Box.H>
 #include <FL/Fl_Double_Window.H>
Index: test/message.cxx
===================================================================
--- test/message.cxx	(revision 11211)
+++ test/message.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Window.H>
 #include <FL/fl_ask.H>
Index: test/minimum.cxx
===================================================================
--- test/minimum.cxx	(revision 11211)
+++ test/minimum.cxx	(working copy)
@@ -35,6 +35,7 @@
 // stopped!
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
Index: test/native-filechooser.cxx
===================================================================
--- test/native-filechooser.cxx	(revision 11211)
+++ test/native-filechooser.cxx	(working copy)
@@ -16,6 +16,8 @@
 //
 //     http://www.fltk.org/str.php
 //
+
+#include <config.h>
 #include <stdio.h>
 #include <FL/Fl.H>
 #include <FL/fl_ask.H>		// fl_beep()
Index: test/navigation.cxx
===================================================================
--- test/navigation.cxx	(revision 11211)
+++ test/navigation.cxx	(working copy)
@@ -19,6 +19,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <FL/Fl.H>
Index: test/output.cxx
===================================================================
--- test/output.cxx	(revision 11211)
+++ test/output.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Value_Input.H> // necessary for bug in mingw32?
 #include <FL/Fl_Double_Window.H>
Index: test/overlay.cxx
===================================================================
--- test/overlay.cxx	(revision 11211)
+++ test/overlay.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <stdio.h>
 #include <FL/Fl.H>
Index: test/pack.cxx
===================================================================
--- test/pack.cxx	(revision 11211)
+++ test/pack.cxx	(working copy)
@@ -20,6 +20,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Button.H>
 #include <FL/Fl_Light_Button.H>
Index: test/pixmap.cxx
===================================================================
--- test/pixmap.cxx	(revision 11211)
+++ test/pixmap.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
Index: test/pixmap_browser.cxx
===================================================================
--- test/pixmap_browser.cxx	(revision 11211)
+++ test/pixmap_browser.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Box.H>
 #include <FL/Fl_Double_Window.H>
Index: test/resizebox.cxx
===================================================================
--- test/resizebox.cxx	(revision 11211)
+++ test/resizebox.cxx	(working copy)
@@ -20,6 +20,7 @@
 #define B 0
 #define W3 (5*W1+6*B)
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Box.H>
Index: test/rotated_text.cxx
===================================================================
--- test/rotated_text.cxx	(revision 11211)
+++ test/rotated_text.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Box.H>
Index: test/scroll.cxx
===================================================================
--- test/scroll.cxx	(revision 11211)
+++ test/scroll.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Scroll.H>
Index: test/subwindow.cxx
===================================================================
--- test/subwindow.cxx	(revision 11211)
+++ test/subwindow.cxx	(working copy)
@@ -21,6 +21,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdlib.h>
 #include <stdio.h>
 #include <FL/Fl.H>
Index: test/sudoku.cxx
===================================================================
--- test/sudoku.cxx	(revision 11211)
+++ test/sudoku.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Enumerations.H>
 #include <FL/Fl_Double_Window.H>
@@ -39,13 +40,11 @@
 #  include "pixmaps/sudoku.xbm"
 #endif // WIN32
 
-// Audio headers...
-#include <config.h>
-
 #ifndef WIN32
 #  include <unistd.h>
 #endif // !WIN32
 
+// Audio headers...
 #ifdef HAVE_ALSA_ASOUNDLIB_H
 #  define ALSA_PCM_NEW_HW_PARAMS_API
 #  include <alsa/asoundlib.h>
Index: test/symbols.cxx
===================================================================
--- test/symbols.cxx	(revision 11211)
+++ test/symbols.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
Index: test/table.cxx
===================================================================
--- test/table.cxx	(revision 11211)
+++ test/table.cxx	(working copy)
@@ -2,6 +2,7 @@
 // exercisetablerow -- Exercise all aspects of the Fl_Table_Row widget
 //
 
+#include <config.h>
 #include <stdio.h>
 #include <string.h>
 #ifdef WIN32
Index: test/tile.cxx
===================================================================
--- test/tile.cxx	(revision 11211)
+++ test/tile.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Tile.H>
Index: test/tiled_image.cxx
===================================================================
--- test/tiled_image.cxx	(revision 11211)
+++ test/tiled_image.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
Index: test/twowin.cxx
===================================================================
--- test/twowin.cxx	(revision 11211)
+++ test/twowin.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Button.H>
Index: test/unittests.cxx
===================================================================
--- test/unittests.cxx	(revision 11211)
+++ test/unittests.cxx	(working copy)
@@ -23,6 +23,7 @@
 // v1.0 - Submit for svn
 // v1.1 - Matthias seperated all tests into multiple source files for hopefully easier handling
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Hold_Browser.H>
Index: test/utf8.cxx
===================================================================
--- test/utf8.cxx	(revision 11211)
+++ test/utf8.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Double_Window.H>
 #include <FL/Fl_Scroll.H>
Index: test/windowfocus.cxx
===================================================================
--- test/windowfocus.cxx	(revision 11211)
+++ test/windowfocus.cxx	(working copy)
@@ -16,6 +16,7 @@
 //     http://www.fltk.org/str.php
 //
 
+#include <config.h>
 #include <FL/Fl.H>
 #include <FL/Fl_Box.H>
 #include <FL/Fl_Double_Window.H>
